Skip to main content
This changelog details all additions and changes to the WaaS 2.0 API. You can download the WaaS 2.0 API specification from GitHub.

v1.4.0

This version was released on September 25, 2024.

Improvements

  • Improved the tracking of transactions by adding and removing certain statuses and sub-statuses in the TransactionStatus and TransactionSubStatus schemas.
  • Added the MPCProcessing status in the TSSRequestStatus schema to indicate that the TSS request approval is waiting to be started.
  • Removed the nonce property in the MpcContractCallSource schema.

v1.3.0

This version was released on September 12, 2024.

New features

Improvements

  • Changed the path of the Check Cobo Loop transfers operation from /wallets/check_loop_transfers to /transactions/check_loop_transfers.
  • Added the dust_threshold and custodial_minimum_deposit_threshold properties in the TokenInfo schema to indicate the minimum withdrawal and deposit amounts for Custodial Wallets.
  • Added the confirming_threshold property in the ChainInfo schema to indicate the number of confirmations required for a transaction on each chain.

Bug fixes

  • Fixed an issue with using WaaS SDKs to perform operations relating to contract call or message signing.

v1.2.0

This version was released on August 21, 2024.

New features

Improvements

  • The sub_wallet_id property was renamed as trading_account_type. Affected schemas include:
    • ExchangeTransferSource
    • ExchangeTransferDestination
    • TransactionTransferToWalletDestination
    • TransactionExchangeWalletSource
    • TransactionDepositFromWalletSource
    • TransactionDepositToWalletDestination
  • Added the PendingApprovalStart enum value in the TransactionSubStatus enum to indicate a status that requires specific action from users for proceeding with the transaction.
  • Added the project_name and vault_name properties in the MPCWalletInfo schema to indicate the project name and vault name.
  • Added the description and created_timestamp properties in the TSSRequest schema to indicate the description and creation time of the TSS request.
  • Added the account_id property in the KeyShareHolder schema to indicate the key share holder’s account ID on Cobo Portal.
  • Added the signer_key_share_holder_group_id property in the TransactionMPCWalletSource schema to indicate the ID of the key share holder group as the transaction signer.
  • Added the description property in the request body of Create TSS request to indicate the description of the TSS request.

v1.1.0

This version was released on August 7, 2024.

New features

Added OAuth operations for Cobo Portal App developers:

Improvements

  • The data type of data.response_body was updated from object to string in the response of List webhook event logs.
  • Added the signer property to indicate whether the key share holder’s TSS Node is a designated transaction signer. Affected schemas include:
    • CreateKeyShareHolder
    • KeyShareHolder
  • The node_count property was renamed as participants in:
  • The pubkey property was renamed as root_pubkey in the RootPubkey schema.
  • Added the root_pubkey property to indicate the vault’s root extended public key in the TSSGroups schema.
  • Several timestamp-related properties were renamed using the “_timestamp” suffix. Affected schemas include:
    • Transaction
    • TransactionBlockInfo
    • TransactionTimeline
    • KeyShareHolderGroup
    • MPCVault

v1.0.0

This is the first release of the Cobo WaaS 2.0 API. This release includes support for Custodial Wallets and MPC Wallets, with the following categories of operations: